#if !defined(__Tmp_Ext_h__)
#define __Tmp_Ext_h__
 
#include "CPA_Expt.h"
 
#if defined(__cplusplus)
extern "C"
{
#endif /* __cplusplus */
 
extern CPA_EXPORT void TMP_fn_vFirstInit(void);
extern CPA_EXPORT void TMP_fn_vCreateFixMemory(unsigned long _ulSize);
extern CPA_EXPORT void TMP_fn_vFreeFixMemory(void);
//XB 08/04/99
extern CPA_EXPORT void TMP_fn_vCreateLevelMemory(unsigned long _ulSize);
extern CPA_EXPORT void TMP_fn_vFreeLevelMemory(void);
//End XB 08/04/99
 
extern CPA_EXPORT void TMP_PrintUsedStaticMemory(void);
 
#ifndef U64

#define TMP_M_p_Malloc(ulSize) TMP_fnp_vMalloc(ulSize,__FILE__,__LINE__)
#define TMP_M_Free(p_vPointer) TMP_fn_vFree((void**)&p_vPointer,__FILE__,__LINE__)
 
 
/**** Use the macros please ****/
extern CPA_EXPORT void *TMP_fnp_vMalloc(unsigned long ulSize,char *szFile,unsigned long ulLine);
extern CPA_EXPORT void TMP_fn_vFree(void **p_vPointer,char *szFile,unsigned long ulLine);

#else  /* U64 */

#define TMP_M_p_Malloc(ulSize) TMP_fnp_vMalloc(ulSize)
#define TMP_M_Free(p_vPointer) TMP_fn_vFree((void**)&p_vPointer)
/**** Use the macros please ****/
extern CPA_EXPORT void *TMP_fnp_vMalloc(unsigned long ulSize);
extern CPA_EXPORT void TMP_fn_vFree(void **p_vPointer);

#endif /* U64 */
 
#if defined(__cplusplus)
}
#endif /* __cplusplus */
 
#endif /* __Tmp_Ext_h__ */
